SBNC(1)

NAME
sbnc - an modular IRC proxy.

SYNOPSIS
sbnc

DESCRIPTION
This manual page documents briefly the sbnc commandline parameters. sbnc is an modular IRC proxy with extension support. It gives you an easy control over about more than 2000 users. You are able to use OpenSSL encrypted connections also like connections about the IPv6 protocol. sbnc comes with two modules. The bnctcl extension, which gives your IRC proxy a powerful TCL scripting support and the bncmysql extension, which stores all your users depend data in an MySQL table.

BINARY PARAMETERS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--help
    Displays the help and exits.

--foreground
    Run in the foreground instead of a daemon.

--lpc
    Don't start child processes.

FILES AND DIRECTORIES

/etc/sbnc/
    Configuration files for sbnc. The most important configuration files are:
    /etc/sbnc/sbnc.conf
    /etc/sbnc/sbnc.ipc
    /etc/sbnc/sbnc.tcl

/etc/default/sbnc Default file of shroudBNC. You can decide in this file, if shroudBNC should start on boot time.

/etc/logrotate.d/sbnc
    Configuration for log rotating.

/etc/init.d/sbnc
    Start and stop script of shroudBNC.

/usr/lib/sbnc/
    Path for all libraries of shroudBNC. Also all Tcl scripts from the sbnc-tcl extension could be found in the scripts subfolder.

/var/lib/sbnc/users/
    Path where all user depend data will be saved.

/var/log/sbnc/
    Path where the logfiles of sbnc will be saved.

AUTHOR
This manual page was written by Patrick Matthäi <patrick.matthaei@web.de> for sbnc. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.